Package org.apache.sling.cms.insights

## Interface FileInsightRequest

All Superinterfaces:
  `InsightRequest`

    public interface FileInsightRequest
    extends InsightRequest

Represents an insight request for a file

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.cms.insights.InsightRequest

`InsightRequest.TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`File` `getFile()` Returns the file used to create this request
`default InsightRequest.TYPE` `getType()` Get the type of this request.

### Methods inherited from interface org.apache.sling.cms.insights.InsightRequest

`getResource`

### Method Detail

#### getType

    default InsightRequest.TYPE getType()

Description copied from interface: `InsightRequest`
Get the type of this request.

Specified by:
  `getType` in interface `InsightRequest`
Returns:
  the type

#### getFile

    File getFile()

Returns the file used to create this request

Returns:
  the file